Поторопился перейти на 15.04 в итоге получил множество проблем.
Например, система вылетала в  экран авторизации после ввода пароля.
Найти решение сразу не удалось. Поэтому в качестве решения установил gnome вместо unity.
И вот, успешно дожил до обновления до 15.10.

При попытке обновиться столкнулся с ошибкой:

Ваша версия  Ubuntu больше не поддерживается.
Traceback (most recent call last):
  File "/usr/bin/do-release-upgrade", line 92, in <module>
    "%(url)s\n") % { 'url' : url }
ValueError: unsupported format character '?' (0xa) at index 55
Поиск показал, что с этой ошибкой сталкиваются с 2011 года.
Странно что она проявляется до сих пор.

Решение, в файле /usr/bin/do-release-upgrade закомментировать строки:

print(_(«For upgrade information, please visit:\n»
«%(url)s\n») % { ‘url’ : url })
$sudo do-release-upgrade

На этом все, обновление прошло удачно.
Но вход в учетную запись с Unity так и не работал.
Помогло удаление .Xauthority и .ICEauthority
О 15.10:

Практически сразу обнаружилось что в системе установлен Docker.

Docker позволяет, не заботясь о формировании начинки контейнера, запускать произвольные процессы в режиме изоляции и затем переносить и клонировать сформированные для данных процессов контейнеры на другие серверы.

Никогда не пользовался.
И да, переключатель раскладки заработал как положено. Наконец-то!